package cn.jisol.game.service;

import cn.jisol.game.entity.table.Player;
import cn.jisol.game.entity.table.Resource;
import cn.jisol.game.vo.news.ov.ResourceUpdateOV;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.ArrayList;

public interface ResourceService extends IService<Resource> {

    //添加某个资源的数量
    public Resource addResourceValue(Long playerId, int type, Long value);

    //初始化某个资源
    public Resource initResource(Long playerId, int type, Long value);
    public Resource initResource(Resource resource);

    //扣除玩家材料
    public ArrayList<ResourceUpdateOV> deduct(Player player, cfg.TbGEntity.TResource[] materials);

    //扣除通用加速卷
    public ResourceUpdateOV deductSpeedUp(Player player, int type);

    //返回通用加速卷 减少的时间(ms)
    public long timeSpeedUp(int type);



}
