package cn.jisol.game.entity.mode;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

@Getter
@Setter
public class ModeOnHookInfo {

    //地图关卡信息 {地图Id: 地图关卡Id}
    private Map<Integer,Integer> maps;

    //地图关卡状态 {地图Id: 状态(0:战斗中, 1:胜利)}
    private Map<Integer,Integer> mapStates;

    public ModeOnHookInfo(){
        maps = new HashMap<>();
        mapStates = new HashMap<>();
    }

    public interface MapState{
        Integer Fight = 0;
        Integer Win = 1;
    }

}
